parameters:
    oro_ui.twig.sort_by.class:           Oro\Bundle\UIBundle\Twig\SortByExtension
    oro_ui.twig.ceil.class:              Oro\Bundle\UIBundle\Twig\CeilExtension
    oro_ui.twig.extension.class:         Oro\Bundle\UIBundle\Twig\UiExtension
    oro_ui.twig.mobile.class:            Oro\Bundle\UIBundle\Twig\MobileExtension
    oro_ui.twig.widget.class:            Oro\Bundle\UIBundle\Twig\WidgetExtension
    oro_ui.twig.date.class:              Oro\Bundle\UIBundle\Twig\DateExtension
    oro_ui.twig.skype_button.class:      Oro\Bundle\UIBundle\Twig\SkypeButtonExtension
    oro_ui.twig.form.class:              Oro\Bundle\UIBundle\Twig\FormExtension
    oro_ui.twig.placeholder.class:       Oro\Bundle\UIBundle\Twig\PlaceholderExtension
    oro_ui.twig.tab.class:               Oro\Bundle\UIBundle\Twig\TabExtension
    oro_ui.twig.content.class:           Oro\Bundle\UIBundle\Twig\ContentExtension
    oro_ui.twig.url.class:               Oro\Bundle\UIBundle\Twig\UrlExtension
    oro_ui.twig.js_template.class:       Oro\Bundle\UIBundle\Twig\JsTemplateExtension
    oro_ui.twig.merge_recursive.class:   Oro\Bundle\UIBundle\Twig\MergeRecursiveExtension
    oro_ui.twig.block.class:             Oro\Bundle\UIBundle\Twig\BlockExtension

    twig.class:                          Oro\Bundle\UIBundle\Twig\Environment
    twig.cache_warmer.class:             Oro\Bundle\UIBundle\Cache\TemplateCacheCacheWarmer

services:
    oro_ui.twig.sort_by_extension:
        class: %oro_ui.twig.sort_by.class%
        tags:
            - { name: twig.extension }

    oro_ui.twig.ceil_extension:
        class: %oro_ui.twig.ceil.class%
        tags:
            - { name: twig.extension }

    oro_ui.twig.ui_extension:
        class: %oro_ui.twig.extension.class%
        tags:
            - { name: twig.extension }

    oro_ui.twig.mobile_extension:
        class: %oro_ui.twig.mobile.class%
        arguments:
            - @service_container
        tags:
            - { name: twig.extension }

    oro_ui.twig.form_extension:
        class: %oro_ui.twig.form.class%
        arguments:
            - @event_dispatcher
        tags:
            - { name: twig.extension }

    oro_ui.twig.widget_extension:
        class: %oro_ui.twig.widget.class%
        calls:
            - [setRequest, [@?request=]]
        tags:
            - { name: twig.extension }

    oro_ui.twig.date_extension:
        class: %oro_ui.twig.date.class%
        arguments:
            - @translator
        tags:
            - { name: twig.extension }

    oro_ui.twig.skype_button_extension:
        class: %oro_ui.twig.skype_button.class%
        tags:
            - { name: twig.extension }

    oro_ui.twig.tab_extension:
        class: %oro_ui.twig.tab.class%
        arguments:
            - @oro_menu.twig.extension
            - @router
            - @oro_security.security_facade
            - @translator
        tags:
            - { name: twig.extension }

    oro_ui.twig.placeholder_extension:
        class: %oro_ui.twig.placeholder.class%
        arguments:
            - @twig
            - @oro_ui.placeholder.provider
            - @twig.extension.httpkernel
        calls:
            - [setRequest, [@?request=]]
        tags:
            - { name: twig.extension }

    twig.extension.text:
        class: Twig_Extensions_Extension_Text
        tags:
           - { name: twig.extension }

    oro_ui.twig.content_extension:
        class: %oro_ui.twig.content.class%
        arguments:
            - @oro_ui.content_provider.manager
        tags:
            - { name: twig.extension }

    oro_ui.twig.url_extension:
        class: %oro_ui.twig.url.class%
        calls:
            - [setRequest, [@?request=]]
        tags:
            - { name: twig.extension }

    oro_ui.twig.js_template:
        class: %oro_ui.twig.js_template.class%
        tags:
           - { name: twig.extension }

    oro_ui.twig.merge_recursive:
        class: %oro_ui.twig.merge_recursive.class%
        tags:
           - { name: twig.extension }

    oro_ui.twig.block:
        class: %oro_ui.twig.block.class%
        tags:
            - { name: twig.extension }
